> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/81-kueri-mappunogeojsonwo.md).

# 81. クエリ: 式マップのGeoJSONを取得

"EquationMaps"のGeoJSONを以下でフィルタして取得する `equationMapUuids（方程式マップUUID）`.

属性 `equationMapGeojson（方程式マップGeoJSON）` 次のGeoJSONを含む `Polygons（ポリゴン）` または `マルチポリゴン` 次のような地理空間フィーチャ属性を含む `id（識別子）`, `value` と `面積` 定義された単位で。

主な詳細：

* パラメータ `asMultiGeometry: true（複数ジオメトリとして）` は以下を意味する `Polygons（ポリゴン）` （「Equation Map」セル）がマージされる `MultiPolygons（マルチポリゴン）` に基づいて `value` 各「Equation Map」セルの属性。
* 出力面積は次のパラメータで設定できます `unit（単位）` パラメータ。利用可能なオプション： `エーカー`,  `ヘクタール`, `平方メートル`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

ジオメトリを要求しない場合（属性のみが必要な場合）は、 `attributesJson（属性JSON）` の代わりに `equationMapGeojson（方程式マップGeoJSON）` を使用します。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/81-kueri-mappunogeojsonwo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
